#ifndef __QSTEST_H__
#define __QSTEST_H__

#include "QSTestInterface.h"
#include "sorter.h"

class qstest : public QSTestInterface {
	public:
        sorter s;
		bool testSortAll(QSInterface* test);
		bool testSort(QSInterface* test);
		bool testMedianOfThree(QSInterface* test);
		bool testPartition(QSInterface* test);
		bool testSwap(QSInterface* test);
};
#endif
